﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using Stimulsoft.Report.WpfDesign;
using Stimulsoft.Report;
using Stimulsoft.Report.Viewer;

namespace StiRTFTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public class Test
        {
            public string RTFContent
            {
                get;
                set;
            }
        }

        public static Test TestObject = new Test() { RTFContent = @"{\rtf\ansi\ansicpg1252\uc1\deff0\deflang1033{\fonttbl{\f0 Verdana;}{\f1 Arial;}}{\colortbl\red0\green0\blue0 ;\red255\green255\blue255 ;}\nouicompat\viewkind1\paperw12240\paperh15840\margl1425\margr1425\margt1425\margb1425\deftab720\sectd\pgwsxn12240\pghsxn15840\marglsxn1425\margrsxn1425\margtsxn1425\margbsxn1425\headery720\footery720\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1 Und das dann der Textsdfasfdsf}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1 asdf}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1 asd}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1 f}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1 asfasfsdfsdfasdfadsfsd}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1 asdf}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1 asdfasdfasdfsadfadsfasdfdsafsdfdsf}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1 asdfasdfasdfasdfsadfsadfsdfdsf}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1}\par\pard\ltrpar\fs22\sl276\slmult1\sa150{\ltrch\f1 asdfsadfsadfadsfsadfdsfsadfsadfsadfsdfadsfs}\par}" };

        public MainWindow()
        {
            InitializeComponent();
        }

        private StiReport GetReport()
        {
            StiReport report = new StiReport();

            using (var lStream = GetType().Assembly.GetManifestResourceStream("StiRTFTest.Report.mrt"))
            {
                if (lStream != null)
                {
                    report.Load(lStream);
                }
            }

            report.RegData("Test", TestObject);

            return report;
        }

        private void btnDesign_Click(object sender, RoutedEventArgs e)
        {
            StiReport report = GetReport();
            report.Design();
        }

        private void btnDesign2_Click(object sender, RoutedEventArgs e)
        {
            StiReport report = GetReport();
            StiWpfDesigner Designer = new StiWpfDesigner(report);
            report.Designer = Designer;
            Designer.ShowDialog();
        }

        private void btnPreview_Click(object sender, RoutedEventArgs e)
        {
            StiReport report = GetReport();
            stiPreview.Report = report;
            report.Compile();
            report.Render(false);
            stiPreview.InvokePageFirst();
        }
    }
}